import 'package:json_annotation/json_annotation.dart';
part 'Response.g.dart';

/// 
/// API response
/// 
@JsonSerializable(fieldRename: FieldRename.snake)
class Response {
  int code;
  String error;
  dynamic data;

  Response({this.code, this.error, this.data});

  /// 
  /// check response is success
  /// 
  bool isSuccess() => code == 0;

  /// JSON codes
  factory Response.fromJson(Map<String, dynamic> json) => _$ResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ResponseToJson(this);
}
